--- default.conf	2025-02-02 20:38:48.705403133 +0000
+++ i2pd.conf	2025-02-02 20:37:03.780136161 +0000
@@ -13,57 +13,35 @@
 ## Tunnels config files path
 ## Use that path to store separated tunnels in different config files.
 ## Default: ~/.i2pd/tunnels.d or /var/lib/i2pd/tunnels.d
-# tunnelsdir = /var/lib/i2pd/tunnels.d
+# tunnelsdir = /var/lib/i2pd/tunnels.conf.d
 
-## Path to certificates used for verifying .su3, families
-## Default: ~/.i2pd/certificates or /var/lib/i2pd/certificates
-# certsdir = /var/lib/i2pd/certificates
-
-## Where to write pidfile (default: /run/i2pd.pid, not used in Windows)
-# pidfile = /run/i2pd.pid
+## Where to write pidfile (don't write by default)
+# pidfile = /var/run/i2pd.pid
 
 ## Logging configuration section
 ## By default logs go to stdout with level 'info' and higher
-## For Windows OS by default logs go to file with level 'warn' and higher
 ##
 ## Logs destination (valid values: stdout, file, syslog)
 ##  * stdout - print log entries to stdout
 ##  * file - log entries to a file
 ##  * syslog - use syslog, see man 3 syslog
 # log = file
-## Path to logfile (default: autodetect)
-# logfile = /var/log/i2pd/i2pd.log
-## Log messages above this level (debug, info, *warn, error, critical, none)
+## Path to logfile (default - autodetect)
+# logfile = /var/log/i2pd.log
+## Log messages above this level (debug, *info, warn, error, none)
 ## If you set it to none, logging will be disabled
-# loglevel = warn
+# loglevel = info
 ## Write full CLF-formatted date and time to log (default: write only time)
 # logclftime = true
 
-## Daemon mode. Router will go to background after start. Ignored on Windows
-## (default: true)
+## Daemon mode. Router will go to background after start
 # daemon = true
 
 ## Specify a family, router belongs to (default - none)
 # family =
 
-## Network interface to bind to
-## Updates address4/6 options if they are not set
-# ifname =
-## You can specify different interfaces for IPv4 and IPv6
-# ifname4 =
-# ifname6 =
-
-## Local address to bind transport sockets to
-## Overrides host option if:
-## For ipv4: if ipv4 = true and nat = false
-## For ipv6: if 'host' is not set or ipv4 = true
-# address4 =
-# address6 =
-
-## External IPv4 or IPv6 address to listen for connections
+## External IP address to listen for connections
 ## By default i2pd sets IP automatically
-## Sets published NTCP2v4/SSUv4 address to 'host' value if nat = true
-## Sets published NTCP2v6/SSUv6 address to 'host' value if ipv4 = false
 # host = 1.2.3.4
 
 ## Port to listen for connections
@@ -71,97 +49,81 @@
 ## don't just uncomment this
 # port = 4567
 
-## Enable communication through ipv4 (default: true)
+## Enable communication through ipv4
 ipv4 = true
-## Enable communication through ipv6 (default: false)
+## Enable communication through ipv6
 ipv6 = false
 
+## Network interface to bind to
+# ifname =
+## You can specify different interfaces for IPv4 and IPv6
+# ifname4 = 
+# ifname6 = 
+
+## Enable NTCP transport (default = true)
+# ntcp = true
+## If you run i2pd behind a proxy server, you can only use NTCP transport with ntcpproxy option 
+## Should be http://address:port or socks://address:port
+# ntcpproxy = http://127.0.0.1:8118
+## Enable SSU transport (default = true)
+# ssu = true
+
+## Should we assume we are behind NAT? (false only in MeshNet)
+# nat = true
+
 ## Bandwidth configuration
-## L limit bandwidth to 32 KB/sec, O - to 256 KB/sec, P - to 2048 KB/sec,
+## L limit bandwidth to 32KBs/sec, O - to 256KBs/sec, P - to 2048KBs/sec,
 ## X - unlimited
-## Default is L (regular node) and X if floodfill mode enabled.
-## If you want to share more bandwidth without floodfill mode, uncomment
-## that line and adjust value to your possibilities. Value can be set to
-## integer in kilobytes, it will apply that limit and flag will be used
-## from next upper limit (example: if you set 4096 flag will be X, but real
-## limit will be 4096 KB/s). Same can be done when floodfill mode is used,
-## but keep in mind that low values may be negatively evaluated by Java
-## router algorithms.
+## Default is X for floodfill, L for regular node
 # bandwidth = L
-## Max % of bandwidth limit for transit. 0-100 (default: 100)
+## Max % of bandwidth limit for transit. 0-100. 100 by default
 # share = 100
 
 ## Router will not accept transit tunnels, disabling transit traffic completely
-## (default: false)
+## (default = false)
 # notransit = true
 
-## Router will be floodfill (default: false)
-## Note: that mode uses much more network connections and CPU!
+## Router will be floodfill
 # floodfill = true
 
-[ntcp2]
-## Enable NTCP2 transport (default: true)
-# enabled = true
-## Publish address in RouterInfo (default: true)
-# published = true
-## Port for incoming connections (default is global port option value)
-# port = 4567
-
-[ssu2]
-## Enable SSU2 transport (default: true)
-# enabled = true
-## Publish address in RouterInfo (default: true)
-# published = true
-## Port for incoming connections (default is global port option value)
-# port = 4567
-
 [http]
 ## Web Console settings
-## Enable the Web Console (default: true)
+## Uncomment and set to 'false' to disable Web Console
 # enabled = true
-## Address and port service will listen on (default: 127.0.0.1:7070)
-# address = 127.0.0.1
-# port = 7070
-## Path to web console (default: /)
+## Address and port service will listen on
+address = 127.0.0.1
+port = 7070
+## Path to web console, default "/"
 # webroot = /
-## Enable Web Console authentication (default: false)
-## You should not use Web Console via public networks without additional encryption.
-## HTTP authentication is not encryption layer!
+## Uncomment following lines to enable Web Console authentication 
 # auth = true
 # user = i2pd
 # pass = changeme
-## Select webconsole language
-## Currently supported english (default), afrikaans, armenian, chinese, czech, french,
-## german, italian, polish, portuguese, russian, spanish, turkish, turkmen, ukrainian
-## and uzbek languages
-# lang = english
 
 [httpproxy]
-## Enable the HTTP proxy (default: true)
+## Uncomment and set to 'false' to disable HTTP Proxy
 # enabled = true
-## Address and port service will listen on (default: 127.0.0.1:4444)
-# address = 127.0.0.1
-# port = 4444
-## Optional keys file for proxy local destination (default: http-proxy-keys.dat)
+## Address and port service will listen on
+address = 127.0.0.1
+port = 4444
+## Optional keys file for proxy local destination
 # keys = http-proxy-keys.dat
 ## Enable address helper for adding .i2p domains with "jump URLs" (default: true)
-## You should disable this feature if your i2pd HTTP Proxy is public,
-## because anyone could spoof the short domain via addresshelper and forward other users to phishing links
 # addresshelper = true
 ## Address of a proxy server inside I2P, which is used to visit regular Internet
 # outproxy = http://false.i2p
 ## httpproxy section also accepts I2CP parameters, like "inbound.length" etc.
 
 [socksproxy]
-## Enable the SOCKS proxy (default: true)
+## Uncomment and set to 'false' to disable SOCKS Proxy
 # enabled = true
-## Address and port service will listen on (default: 127.0.0.1:4447)
-# address = 127.0.0.1
-# port = 4447
-## Optional keys file for proxy local destination (default: socks-proxy-keys.dat)
+## Address and port service will listen on
+address = 127.0.0.1
+port = 4447
+## Optional keys file for proxy local destination
 # keys = socks-proxy-keys.dat
 ## Socks outproxy. Example below is set to use Tor for all connections except i2p
-## Enable using of SOCKS outproxy (works only with SOCKS4, default: false)
+## Uncomment and set to 'true' to enable using of SOCKS outproxy
 # outproxy.enabled = false
 ## Address and port of outproxy
 # outproxy = 127.0.0.1
@@ -169,34 +131,33 @@
 ## socksproxy section also accepts I2CP parameters, like "inbound.length" etc.
 
 [sam]
-## Enable the SAM bridge (default: true)
-# enabled = false
-## Address and ports service will listen on (default: 127.0.0.1:7656, udp: 7655)
-# address = 127.0.0.1
-# port = 7656
-# portudp = 7655
+## Uncomment and set to 'true' to enable SAM Bridge
+#enabled = true
+## Address and port service will listen on
+#address = 127.0.0.1
+#port = 7656
 
 [bob]
-## Enable the BOB command channel (default: false)
+## Uncomment and set to 'true' to enable BOB command channel
 # enabled = false
-## Address and port service will listen on (default: 127.0.0.1:2827)
+## Address and port service will listen on
 # address = 127.0.0.1
 # port = 2827
 
 [i2cp]
-## Enable the I2CP protocol (default: false)
-# enabled = false
-## Address and port service will listen on (default: 127.0.0.1:7654)
-# address = 127.0.0.1
-# port = 7654
+## Uncomment and set to 'true' to enable I2CP protocol
+enabled = true
+## Address and port service will listen on
+address = 127.0.0.1
+port = 7654
 
 [i2pcontrol]
-## Enable the I2PControl protocol (default: false)
+## Uncomment and set to 'true' to enable I2PControl protocol
 # enabled = false
-## Address and port service will listen on (default: 127.0.0.1:7650)
+## Address and port service will listen on
 # address = 127.0.0.1
 # port = 7650
-## Authentication password (default: itoopie)
+## Authentication password. "itoopie" by default
 # password = itoopie
 
 [precomputation]
@@ -206,26 +167,17 @@
 
 [upnp]
 ## Enable or disable UPnP: automatic port forwarding (enabled by default in WINDOWS, ANDROID)
-# enabled = false
-## Name i2pd appears in UPnP forwardings list (default: I2Pd)
+enabled = true
+## Name i2pd appears in UPnP forwardings list (default = I2Pd)
 # name = I2Pd
 
-[meshnets]
-## Enable connectivity over the Yggdrasil network  (default: false)
-# yggdrasil = false
-## You can bind address from your Yggdrasil subnet 300::/64
-## The address must first be added to the network interface
-# yggaddress =
-
 [reseed]
 ## Options for bootstrapping into I2P network, aka reseeding
-## Enable reseed data verification (default: true)
+## Enable or disable reseed data verification.
 verify = true
 ## URLs to request reseed data from, separated by comma
 ## Default: "mainline" I2P Network reseeds
 # urls = https://reseed.i2p-projekt.de/,https://i2p.mooo.com/netDb/,https://netdb.i2p2.no/
-## Reseed URLs through the Yggdrasil, separated by comma
-# yggurls = http://[324:71e:281a:9ed3::ace]:7070/
 ## Path to local reseed data file (.su3) for manual reseeding
 # file = /path/to/i2pseeds.su3
 ## or HTTPS URL to reseed from
@@ -235,38 +187,41 @@
 ## If you run i2pd behind a proxy server, set proxy server for reseeding here
 ## Should be http://address:port or socks://address:port
 # proxy = http://127.0.0.1:8118
-## Minimum number of known routers, below which i2pd triggers reseeding (default: 25)
+## Minimum number of known routers, below which i2pd triggers reseeding. 25 by default
 # threshold = 25
 
 [addressbook]
 ## AddressBook subscription URL for initial setup
-## Default: reg.i2p at "mainline" I2P Network
-# defaulturl = http://shx5vqsw7usdaunyzr2qmes2fq37oumybpudrd4jjj4e4vk4uusa.b32.i2p/hosts.txt
+## Default: inr.i2p at "mainline" I2P Network
+# defaulturl = http://joajgazyztfssty4w2on5oaqksz6tqoxbduy553y34mf4byv6gpq.b32.i2p/export/alive-hosts.txt
 ## Optional subscriptions URLs, separated by comma
-# subscriptions = http://reg.i2p/hosts.txt,http://identiguy.i2p/hosts.txt,http://stats.i2p/cgi-bin/newhosts.txt,http://rus.i2p/hosts.txt
+# subscriptions = http://inr.i2p/export/alive-hosts.txt,http://stats.i2p/cgi-bin/newhosts.txt,http://rus.i2p/hosts.txt
 
 [limits]
-## Maximum active transit sessions (default: 5000)
-## This value is doubled if floodfill mode is enabled!
-# transittunnels = 5000
-## Limit number of open file descriptors (0 - use system limit)
+## Maximum active transit sessions (default:2500)
+# transittunnels = 2500
+## Limit number of open file descriptors (0 - use system limit)  
 # openfiles = 0
-## Maximum size of corefile in Kb (0 - use system limit)
+## Maximum size of corefile in Kb (0 - use system limit) 
 # coresize = 0
+## Threshold to start probabalistic backoff with ntcp sessions (0 - use system limit) 
+# ntcpsoft = 0
+## Maximum number of ntcp sessions (0 - use system limit) 
+# ntcphard = 0
 
 [trust]
-## Enable explicit trust options. (default: false)
+## Enable explicit trust options. false by default
 # enabled = true
 ## Make direct I2P connections only to routers in specified Family.
 # family = MyFamily
 ## Make direct I2P connections only to routers specified here. Comma separated list of base64 identities.
-# routers =
-## Should we hide our router from other routers? (default: false)
+# routers = 
+## Should we hide our router from other routers? false by default
 # hidden = true
 
 [exploratory]
 ## Exploratory tunnels settings with default values
-# inbound.length = 2
+# inbound.length = 2 
 # inbound.quantity = 3
 # outbound.length = 2
 # outbound.quantity = 3
@@ -274,6 +229,3 @@
 [persist]
 ## Save peer profiles on disk (default: true)
 # profiles = true
-## Save full addresses on disk (default: true)
-# addressbook = true
-
